# Uses of Interface
java.util.Observer

Packages that use Observer
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

- ## Uses of Observer in java.util

  Methods in java.util with parameters of type Observer
  Modifier and Type
  Method
  Description
  `void`
  Observable.`addObserver(Observer o)`
  Deprecated.
  Adds an observer to the set of observers for this object, provided that it is not the same as some observer already in the set.
  `void`
  Observable.`deleteObserver(Observer o)`
  Deprecated.
  Deletes an observer from the set of observers of this object.